Skip to main content
1

Create an integration

In Nango (free signup), go to Integrations -> Configure New Integration -> Webex. Nango doesnโ€™t provide a test OAuth app for Webex yet. Youโ€™ll need to set up your own by following these instructions. After that, make sure to add the OAuth client ID, secret, and scopes in the integration settings in Nango.
2

Authorize Webex

Go to Connections -> Add Test Connection -> Authorize, then log in to Webex. Later, youโ€™ll let your users do the same directly from your app.
3

Call the Webex API

Letโ€™s make your first request to the Webex API (fetch a list of people). Replace the placeholders below with your secret key, integration ID, and connection ID:
curl "https://api.nango.dev/proxy/people" \
  -H "Authorization: Bearer <NANGO-SECRET-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"
Or fetch credentials dynamically via the Node SDK or API.
โœ… Youโ€™re connected! Check the Logs tab in Nango to inspect requests.
Next step: Embed the auth flow in your app to let your users connect their Webex accounts.
Questions? Join us in the Slack community.